Форум русской поддержки Joomla!® CMS
29.05.2017, 13:46:37 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
   
   Начало   Поиск Joomla 3.0 FAQ Joomla 2.5 FAQ Joomla 1.5 FAQ Правила форума Новости Joomla Реклама Войти Регистрация Помощь  
Страниц: 1 [2] 3 4 5 6 7 8 9 10 11 12   Вниз
  Добавить закладку  |  Печать  
Автор

Переход с 1.5 на 2.5 Joomla

 (Прочитано 83704 раз)
0 Пользователей и 1 Гость смотрят эту тему.
jomdj
Осваиваюсь на форуме
***

Репутация: +3/-0
Offline Offline

Сообщений: 65



« : 04.02.2012, 13:53:57 »

Вот возник вопрос. Обновился я значит с 1.5 на  2.5 через jUpgrade v2.5.0
Вроде бы все ровно, но возник косяк.
Часть url остались прежним, а вот часть кривоваты
например в исходнике
index.php/odnoklassniki-m/odnoklassniki-sekrety/67-kak-dobavit-video

после переноса
index.php/odnoklassniki-m/10-odnoklassnikik2/67-kak-dobavit-video

Че блин делать, не знаю(((

И еще вопрос, у меня создалось как бы два меню:
Main Menu и главное меню. вроде с виду они одинаковы... но какое из них можно удалять?
Просто я вообще не понимаю, почему у ряда статей url перенесся корректно, а у ряда криво?
Записан
 
none.sql
Осваиваюсь на форуме
***

Репутация: +8/-1
Offline Offline

Сообщений: 149



« Ответ #31 : 13.02.2012, 21:02:14 »

Мазахизм - это делать ещё одну копию сайта и всё руками туда переносить. Так или иначе, даже если сайт приносит деньги и простой губителен - всё-равно придется закрыться, хоть и на пару дней (для работы в усиленном режиме по переезду)
не правда
Записан
vitalkad
Новичок
*

Репутация: +0/-0
Offline Offline

Сообщений: 5


« Ответ #32 : 13.02.2012, 21:43:37 »

Люди ну может по поводу 411 ошибочки подскажите?
Записан
planknot
Новичок
*

Репутация: +0/-0
Offline Offline

Пол: Мужской
Сообщений: 5


Planknot.com


« Ответ #33 : 14.02.2012, 17:39:32 »

У меня непонятка обновляться или нет с 1.5 на 2.5.... ведь как Вы говорите сменились адреса страниц, а это значит падает показатель сайта.


Это важный момент, особенно, если сайт молодой.

По поводу изменения адресов при обновлении я описал свою проблему в отдельной теме:
http://joomlaforum.ru/index.php/topic,201393.0.html,
но там, почему-то никто не отозвался. Мож здесь кто поможет? Продублирую свой пост:

Итак, при обновлении Joomla до версии 2.5.1 произошло следующее:

Несколько материалов стали недоступны для просмотра ("ошибка 404")...
Естественно, полез в админку, чтоб проверить, не заблокированы ли данные материалы, оказалось - нет,
материалы опубликованы!
Изменил название статей, в том числе - алиас сгенерировался по-новому (!) - все заработало!
Меняю название на былое, с былым алиасом - "ошибка 404"...
Стал проводить параллели и обнаружил взаимосвязь - оказалось, что после обновления
до последней версии Joomla, устарели ссылки, которые выглядят следующим образом:
http://planknot.com/kartinki/avtomoto/superkary.html? - то есть только те,
где алиас состоит из одного слова...

Конечно, можно сделать перенаправление - и дело с концом, но хочется разобраться!
Может кто подскажет, в чем дело?!
« Последнее редактирование: 14.02.2012, 18:49:24 от planknot » Записан
dMark
Захожу иногда
**

Репутация: +0/-0
Offline Offline

Сообщений: 15


« Ответ #34 : 15.02.2012, 15:44:12 »

таже проблема. Обновился до 2.5.1 Все статьи улетают в 404.
Выключаю ЧПУ все работает с системными УРЛами. при включенном Чпу ошибка 404.
Что делать?

>>>>>>>>
Целый час возился. Нашел!
Надо исправить в корневой web.config.txt   на
web.config.php
« Последнее редактирование: 15.02.2012, 20:32:24 от dMark » Записан
planknot
Новичок
*

Репутация: +0/-0
Offline Offline

Пол: Мужской
Сообщений: 5


Planknot.com


« Ответ #35 : 16.02.2012, 04:14:17 »

таже проблема. Обновился до 2.5.1 Все статьи улетают в 404.
Выключаю ЧПУ все работает с системными УРЛами. при включенном Чпу ошибка 404.


У тебя абсолютно все ссылки полетели?! но у меня-то только с одним словом в алиасе...
Нашел!
Надо исправить в корневой web.config.txt   на
web.config.php

Попробовал - не получилось. не знаю, наверно все-таки переадресацию буду делать.
Все равно, спасибо! хоть кто-то отозвался!
Записан
yrygvay
Живу я здесь
******

Репутация: +35/-3
Offline Offline

Пол: Мужской
Сообщений: 1274



« Ответ #36 : 16.02.2012, 11:34:29 »

таже проблема. Обновился до 2.5.1 Все статьи улетают в 404.
Выключаю ЧПУ все работает с системными УРЛами. при включенном Чпу ошибка 404.
Что делать?

>>>>>>>>
Целый час возился. Нашел!
Надо исправить в корневой web.config.txt   на
web.config.php

Зачем у вас виндовый сервер для Joomla ?
Записан
denis174
Давно я тут
****

Репутация: +1/-0
Offline Offline

Пол: Мужской
Сообщений: 255



« Ответ #37 : 16.02.2012, 17:10:51 »

==========
[install_config]


Warning: require_once(X:\home\localhost\www\jupgrade\installation/models/configuration.php) [function.require-once]: failed to open stream: No such file or directory in X:\home\localhost\www\administrator\components\com_jupgrade\includes\install_config.php on line 35

Fatal error: require_once() [function.require]: Failed opening required 'X:\home\localhost\www\jupgrade\installation/models/configuration.php' (include_path='.;/usr/local/php5/PEAR') in X:\home\localhost\www\administrator\components\com_jupgrade\includes\install_config.php on line 35


==========
[cleanup]


Notice: Undefined offset: 1 in X:\home\localhost\www\administrator\components\com_jupgrade\includes\jupgrade.class.php on line 169

==========
[install_config]


Warning: require_once(X:\home\localhost\www\jupgrade\installation/models/configuration.php) [function.require-once]: failed to open stream: No such file or directory in X:\home\localhost\www\administrator\components\com_jupgrade\includes\install_config.php on line 35

Fatal error: require_once() [function.require]: Failed opening required 'X:\home\localhost\www\jupgrade\installation/models/configuration.php' (include_path='.;/usr/local/php5/PEAR') in X:\home\localhost\www\administrator\components\com_jupgrade\includes\install_config.php on line 35


==========
[cleanup]


Notice: Undefined offset: 1 in X:\home\localhost\www\administrator\components\com_jupgrade\includes\jupgrade.class.php on line 169


==========
[1] [users]


Notice: Undefined offset: 1 in X:\home\localhost\www\administrator\components\com_jupgrade\includes\jupgrade.class.php on line 169

Notice: Undefined offset: 1 in X:\home\localhost\www\administrator\components\com_jupgrade\includes\jupgrade.class.php on line 169

Notice: Undefined offset: 1 in X:\home\localhost\www\administrator\components\com_jupgrade\includes\jupgrade.class.php on line 169

Notice: Undefined offset: 1 in X:\home\localhost\www\administrator\components\com_jupgrade\includes\jupgrade.class.php on line 169


==========
[undefined] [undefined]


Notice: Undefined offset: 1 in X:\home\localhost\www\administrator\components\com_jupgrade\includes\jupgrade.class.php on line 169

Notice: Undefined offset: 1 in X:\home\localhost\www\administrator\components\com_jupgrade\includes\jupgrade.class.php on line 169

Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at X:\home\localhost\www\administrator\components\com_jupgrade\includes\jupgrade.class.php:169) in X:\home\localhost\www\jupgrade\libraries\joomla\session\session.php on line 492


И так далее... может кто подскажет? хотел обновиться на денвере....
Записан
Djamilastyle
Осваиваюсь на форуме
***

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 48


От Всевышнего пришли и к Ему наше возвращение!


« Ответ #38 : 17.02.2012, 11:10:46 »

я тоже тут мигрировала с джум1.5. на джум.2.5. но результат плачевный Sad(. по адресу  http://www.djamilastyle.com/jupgrade/   выдает  #404 Компонент не найден переименовала web.config.php, как было указано выше, не помогло вообще.    не перешел шаблон ( в админке его нет, а на файл менеджере есть), и компонентов тоже нет, был joomlashop 2.0, другие не так важны.  на локале сайта нет, но есть бэкап. КАК ЛЕЧИТЬ? ПОМОГИТЕ!
« Последнее редактирование: 17.02.2012, 11:30:33 от Djamilastyle » Записан
nevigen
Профи
********

Репутация: +762/-16
Offline Offline

Пол: Мужской
Сообщений: 9237


http://n*****n.com


« Ответ #39 : 17.02.2012, 11:45:33 »

Шаблон от Ж1.5 под 2.5 не подходит надо апдейтить
Записан
Djamilastyle
Осваиваюсь на форуме
***

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 48


От Всевышнего пришли и к Ему наше возвращение!


« Ответ #40 : 17.02.2012, 12:39:53 »

шаблон не такая большая проблема, как-нибудь справлюсь, но как же остальное? сайт вообще не работает на дж 2.5. компонент магазина новую версию тоже могу установить, но просто не хочется терять проиндексированные страницы и по новой добавлять товар, может можно из бэкапа выгрузить магазин или товары? как заставить работать пункты меню?
Записан
HiopsNerevar
Завсегдатай
*****

Репутация: +88/-0
Offline Offline

Пол: Мужской
Сообщений: 656


Я удобный.


« Ответ #41 : 17.02.2012, 12:44:39 »

Djamilastyle Экспериментируйте на локалке. Работы руками все равно не избежать. Лучше поставить компонент магазина последней версии а потом сверять и переносить таблицы в базе руками. Если они совпадают полностью то проблем с переносам быть не должно. Другое дело что контролировать процесс лучше самому.
Записан
Marques
Живу я здесь
******

Репутация: +190/-9
Offline Offline

Пол: Мужской
Сообщений: 1452


Ctrl+F5


« Ответ #42 : 17.02.2012, 13:48:42 »

Я вот только одного не понимаю... Как люди которые, прямо скажем, не очень хорошо понимают что такое и как работает Joomla, так смело идут на апгрейд с 1.5 аж сразу на 2.5 ? Когда вышла 1.6, потом 1.7... переходить не хотелось ? А как 2.5 - так сразу в бой ? Версия 2.5 очень сильно отличается как по ядру системы, так и по структуре БД от 1.5 и вы хотите нажать волшебную кнопку UP - и все заработает. Даже переход от 1.5 до 1.7 рекомендовали делать через 1.6. А тут сразу на 2.5... чего уж там мелочится. А может стоит подождать 3.0 (всего-то около года, время быстро летит) и тогда уже сразу на нее ?
Записан
HiopsNerevar
Завсегдатай
*****

Репутация: +88/-0
Offline Offline

Пол: Мужской
Сообщений: 656


Я удобный.


« Ответ #43 : 17.02.2012, 13:58:30 »

Marques Тогда уж 3.5 Он вроде как будет следующей LTS. Azn В любом случае меня смущает другое. Ладно что на 2.5. Даже наоборот это лучше поскольку миграция уже более отточена. Я не понимаю людей которые сразу лезут обновлять работающий сайт.
Записан
Marques
Живу я здесь
******

Репутация: +190/-9
Offline Offline

Пол: Мужской
Сообщений: 1452


Ctrl+F5


« Ответ #44 : 17.02.2012, 14:22:17 »

Я не понимаю людей которые сразу лезут обновлять работающий сайт.

Вот-вот ! Я вообще считаю что правильно обновить работающий сайт с 1.5 до 2.5 можно только одним способом. Установить чистую Joomla 2.5 на тестовую площадку (поддомен, локальная машина...) и начинать создавать сайт на ней, перенося контент, шаблон и нужные расширения с работающего сайта на вновь создаваемый вручную (ведь никого не удивляет же что при переходе с windows XP на windows 7 не все программы, драйвера, игры и прочее будут работать так же как в XP). Переход с 1.5 на 2.5 это не апгрейд, это полноценная смена движка сайта и относится к этому надо соответственно ! Метод нажал и забыл - не прокатит никак ! Все свистоперделки типа jupgrade не всегда (а так происходит очень часто) могут корректно внести необходимые изменения, а зачастую и вообще не могут этого, так как не могут охватить все разнообразие расширений, шаблонов и методов реализации их функций. А потом начинаются темы на форуме - "у меня не работает !", "у меня все пропало !", "Что делать ?" при этом почти не сообщают какие расширения были установлены, какой шаблон, какой веб-сервер (виндовый, индеец или nginx) так как в принципе этими тонкими материями никогда и не заморачивались, ибо все работало !

Я все это написал не с целью поиздеваться или позлорадствовать. Все выше написанное это небольшое пособие по правильной оценки объема работ, необходимых знаний и направления ваших усилий для перехода на последнюю версию Joomla. Хотелось бы добавить, что если все же переход методом апгрейда (jupgrade или еще что-то) и прошел на первый взгляд нормально, то это не гарантирует вам отсутствие проблем в дальнейшем (глюки при установки новых расширений, глюки в работе некоторых функций системы и общая нестабильность)
Записан
SK
Практически профи
*******

Репутация: +161/-0
Offline Offline

Сообщений: 2153


« Ответ #45 : 17.02.2012, 14:47:25 »

Согласен с Marques
Я при переносе с 1.5 на 1.7/2.5 пошел по такой схеме.
Заново создал шаблон максимально приближенный к 1.5 на абсолютно чистом движке 1.7 (без демоданных).
Затем с помощью компонента миграции с 1.5 на 1.7 перенес материалы, формы BreezingForms и форум Kunena.
Эти данные из базы данных перенес в базу данных установленного чистого движка 1.7.
Затем заново рассортировывал материалы по пунктам меню, изменял перекрестные ссылки в материалах
Затем сделал апдейт с версии 1.7 на версию 2.5.
И только после этого ставил нужные компоненты, модули, плагины и т.д. Дело в том, что еще не все компоненты и модули, заточенные под 1.7, работают на 2.5 (мне, например, пришлось ждать версию компонента JEvents для версии 2.5).

Полноценного переноса сайта с 1.5 на 1.7 нет!

Таким образом, можно сделать вывод,
1. Если у вас сайт с небольшим набором материалов, то переносите все вручную, т.е. заново создавайте сайт на новом движке.
2. Если у вас сайт большим набором материалов, то воспользуйтесь миграцией.
3. Если у вас сайт с большим количеством сторонних компонентов (комментарии, доски объявлений, события и т.д. и сайт постоянно пополняется материалами в этих компонентах), то не дергайтесь с переходом с 1.5 на 1.7/2.5 - у вас не получится полноценного перехода.
И зачем переносить такой сайт на новый движок, если все работает и вы не собираетесь расширять его функционал другими компонентами.
« Последнее редактирование: 17.02.2012, 15:00:46 от SK » Записан
Djamilastyle
Осваиваюсь на форуме
***

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 48


От Всевышнего пришли и к Ему наше возвращение!


« Ответ #46 : 17.02.2012, 16:13:13 »

HiopsNerevar,  Marques, SK  всем не равнодушным, большое спасибо и соответственно + в копилку. Я понимаю, что размахнулась широко и в результате - ничего. Приму во внимание все  ваши советы и последую им.
Теперь пара вопросов. На сегодняшний день для полноценной работы joomshopa с модулями и слайдерами лучше идти на 1.7. или 2.5?  Теперь, чтобы откатить назад к 1.5 не достаточно же просто удалить папку  jupgrade?  что еще сделать, чтобы вернуться?
Записан
Marques
Живу я здесь
******

Репутация: +190/-9
Offline Offline

Пол: Мужской
Сообщений: 1452


Ctrl+F5


« Ответ #47 : 17.02.2012, 16:19:51 »

Ну начинать что-либо нужно теперь уже с 2.5 (1.7 поддержка заканчивается и эта была переходная версия).
Что бы откатиться нужно восстанавливать бекап сайта и базы данных. Если есть у вас - уже хорошо. Можно обратится к тех-поддержке хостинга, там могут быть бекапы вашего сайта и им будет не сложно восстановить и сайт и базу данных.
Записан
HiopsNerevar
Завсегдатай
*****

Репутация: +88/-0
Offline Offline

Пол: Мужской
Сообщений: 656


Я удобный.


« Ответ #48 : 17.02.2012, 16:22:22 »

Marques Да нет. Вроде Jupgrade ничего не меняет в 1.5. То есть удаляется папка jupgrade с мигрированной Joomla и трутся новые созданные таблицы. Потом из 1.5 отключить плагин обновления мутулз и удалить Jupgrade. Все.
Записан
Marques
Живу я здесь
******

Репутация: +190/-9
Offline Offline

Пол: Мужской
Сообщений: 1452


Ctrl+F5


« Ответ #49 : 17.02.2012, 16:32:25 »

Наверно. Не пользовался им ни разу и соответственно технологию не знаю. ))) Но вариант с восстановлением бекапа хостинга, хорош тем что ничего и делать то не надо )))
Записан
Djamilastyle
Осваиваюсь на форуме
***

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 48


От Всевышнего пришли и к Ему наше возвращение!


« Ответ #50 : 17.02.2012, 17:03:02 »

HiopsNerevar, я хочу последовать Вашему совету, но есть еще одни вопрос какие именно таблицы нужно удалить? Дат их создания я не вижу.  у меня там всего 227 таблиц с разными префиксами есть jos_ ,  j17_  и  4 штуки jupgrade_. Т.к. из бэкапа восстанавливать по сути нечего, ведь 1.5 также стоит на месте как раньше.  
Записан
Marques
Живу я здесь
******

Репутация: +190/-9
Offline Offline

Пол: Мужской
Сообщений: 1452


Ctrl+F5


« Ответ #51 : 17.02.2012, 17:12:09 »

Удалять нужно j17_  и  4 штуки jupgrade_ это точно новые.
Записан
Djamilastyle
Осваиваюсь на форуме
***

Репутация: +0/-0
Offline Offline

Пол: Женский
Сообщений: 48


От Всевышнего пришли и к Ему наше возвращение!


« Ответ #52 : 17.02.2012, 17:23:04 »

все! откат назад прошел успешно! точно по схеме товарища HiopsNerevar, еще раз + !  удалила новые таблицы и админка вернулась к прежнему виду, потом отключила плагин System - Mootools Upgrade  и удалила папку "jupgrade". теперь иду делать на новой Joomla на локал Azn)
  
И еще вопрос. можно ли как-то сохранить юзеров зарегестрированных и проиндексированные страницы?
« Последнее редактирование: 17.02.2012, 17:26:56 от Djamilastyle » Записан
Marques
Живу я здесь
******

Репутация: +190/-9
Offline Offline

Пол: Мужской
Сообщений: 1452


Ctrl+F5


« Ответ #53 : 17.02.2012, 17:32:27 »

Базу пользователей можно будет перенести из базы данных 1.5 в 2.5, что бы сохранились проиндексированные страницы нужно что бы адрес новых страниц в 2.5 совпадал с адресом старых в 1.5. Если это невозможно, то после установки 2.5 можно будет сделать редирект на новые, пока они не появятся с индексе. (кстати в 2.5 есть встроенный плагин для этого)
Записан
SK
Практически профи
*******

Репутация: +161/-0
Offline Offline

Сообщений: 2153


« Ответ #54 : 17.02.2012, 19:34:49 »

все! откат назад прошел успешно! точно по схеме товарища HiopsNerevar, еще раз + !  удалила новые таблицы и админка вернулась к прежнему виду, потом отключила плагин System - Mootools Upgrade  и удалила папку "jupgrade". теперь иду делать на новой Joomla на локал Azn)
  
И еще вопрос. можно ли как-то сохранить юзеров зарегестрированных и проиндексированные страницы?
А зачем удалять нужно было таблицы от версии 1.7?
Они ни сколько не мешали.
Когда Вы сделали миграцию с 1.5 на 1.7 у Вас получилось 2 сайта с одной базой.
Один сайт версии 1.5 был в корне сайта, а второй сайт версии 1.7 был в папке jupgrade.
Зачем надо было что-то удалять?
Вы просто могли бы поднять новый сайт версии 1.7 без демоданных и затем в базу данных этого сайта перенести данные смигрированные с версии 1.5 (префикс j17_), т.е. те данные, которые Вам нужны (материалы, категории, пользователи и т.д.).
Делается это очень просто, например, с помощью phpMyAdmin.
Теперь Вам захотелось перенести юзеров, а Вы это уже сделали до этого, но зачем-то удалили всю информацию.

Я, например, несколько раз делал миграцию данных с версии 1.5 на 1.7. Но не всех данных, а тех, которые мне нужны были, т.е. которые менялись. Т.к. сайт на версии 1.5 постоянно работал и данные в нем менялись, а сайт на версии 1.7 еще не был готов к штатной работе, то я периодически мигрировал в базу сайта версии 1.7 только те данные, которые мне нужны были.
Делалось это, еще раз повторяю, очень просто.
На работающем сайте версии 1.5 был установлен компонент jupgrade, который я периодически запускал (правда, есть кое-какие ньюансы с его повторной работой - но не критичнык). Затем нужные данные из его базы данных с префиксом j17_ я переносил на другой сайт версии 1.7, который работал на другой базе данных.

Про индексированные страницы ни чего не скажу - никогда этим не заморачивался.
« Последнее редактирование: 17.02.2012, 19:43:40 от SK » Записан
Marques
Живу я здесь
******

Репутация: +190/-9
Offline Offline

Пол: Мужской
Сообщений: 1452


Ctrl+F5


« Ответ #55 : 17.02.2012, 19:41:40 »

Цитировать
Зачем надо было что-то удалять?

Затем что сайт немаленький, на рабочем сайте в папках нафиг не нужен нерабочий 1.7 и в БД таблицы тоже, ибо не все абрамовичи и могут себе позволить персональный арендованный сервак без каких-либо ограничений.

Цитировать
Делается это очень просто, например, с помощью phpMyAdmin.

Это для вас просто. Для многих существование phpMyAdmin является тайной.

Все то что вы написали отчасти верно, но стоит и учитывать то что для нормального обновления этого не достаточно. Почитайте весь диалог с Djamilastyle полностью и вы поймете что было нужно и как решили поступить.
Записан
SK
Практически профи
*******

Репутация: +161/-0
Offline Offline

Сообщений: 2153


« Ответ #56 : 17.02.2012, 19:44:51 »

Затем что сайт немаленький, на рабочем сайте в папках нафиг не нужен нерабочий 1.7 и в БД таблицы тоже, ибо не все абрамовичи и могут себе позволить персональный арендованный сервак без каких-либо ограничений.

Это для вас просто. Для многих существование phpMyAdmin является тайной.

Все то что вы написали отчасти верно, но стоит и учитывать то что для нормального обновления этого не достаточно. Почитайте весь диалог с Djamilastyle полностью и вы поймете что было нужно и как решили поступить.
Извиняюсь, пока Вы писали этот пост, я выше свой отредактировал с добавлением.

Опять редактирую свой пост.
Что значит сайт немаленький?
Не маленький сайт с более, чем 1000 материалов, вообще лучше не трогать, в смысле не переносить на версию 1.7
Поверьте, я знаю, что пишу. Уже месяц мигрирую сайт на версию 1.7 (теперь уже на 2.5).
Правда, мне легче, т.к. сайт в локальной сети и я сам себе и провайдер, и администратор. А данных в сайте значительно больше, чем 1000.
« Последнее редактирование: 17.02.2012, 19:52:03 от SK » Записан
Marques
Живу я здесь
******

Репутация: +190/-9
Offline Offline

Пол: Мужской
Сообщений: 1452


Ctrl+F5


« Ответ #57 : 17.02.2012, 19:53:51 »

Цитировать
Не маленький сайт с более, чем 1000 материалов, вообще лучше не трогать, в смысле не переносить на версию 1.7
Согласен полностью.
Записан
jomdj
Осваиваюсь на форуме
***

Репутация: +3/-0
Offline Offline

Сообщений: 65



« Ответ #58 : 18.02.2012, 23:47:46 »

rman, мой косяк был в том, что я в jUpgrade скачал не самый новый плюс указывал перенос сначала на 1.7 а потом на 2.5 когда я на денвере просек косяк - все нормально поперло.

Я вот только одного не понимаю... Как люди которые, прямо скажем, не очень хорошо понимают что такое и как работает Joomla, так смело идут на апгрейд с 1.5 аж сразу на 2.5?

Ну тут спорный вопрос. Лучше уж раз грохнуть сайт при переходе с 1.5 на 2.5 чем три раза с 1.5 на 1.6 с 1.6 на 1.7 и тд =)

Вот например в моем случае переход на 2.5 необходим из-за маленьких плюшек, которых 1.5 не было.
« Последнее редактирование: 18.02.2012, 23:51:52 от jomdj » Записан
Marques
Живу я здесь
******

Репутация: +190/-9
Offline Offline

Пол: Мужской
Сообщений: 1452


Ctrl+F5


« Ответ #59 : 18.02.2012, 23:52:36 »

А по моему лучше вообще не грохать ничего. Чуть-чуть подумать, немного подстраховаться и начать делать. Ключевое слово делать, многие просто ждут эффекта от нажатия пары кнопок и хотят все и сразу.
Записан
jomdj
Осваиваюсь на форуме
***

Репутация: +3/-0
Offline Offline

Сообщений: 65



« Ответ #60 : 19.02.2012, 13:25:55 »

С этим никто не спорит =) Сайт терять никто не хочет =) Просто у меня например на денвере все прошло гладко, а на хостинге пошли проблемы с пиковой нагрузкой и тп. Пришлось решать в режиме онлайн.
С другой стороны у меня сайтов несколько, а значит другие я смогу перенести как следует. Это ведь тоже опыт.

ЗЫ никто случайно не знает, когда выйдет рабочий модуль мобильного сайта для Joomla? А том мне прям пипец горит сделать мобильную версию сайта. А этим если честно вообще не занимался никогда.
Записан
Страниц: 1 [2] 3 4 5 6 7 8 9 10 11 12   Вверх
  Добавить закладку  |  Печать  
 
Перейти в:  

Powered by SMF 1.1.21 | SMF © 2006, Simple Machines

Joomlaforum.ru is not affiliated with or endorsed by the Joomla! Project or Open Source Matters.
The Joomla! name and logo is used under a limited license granted by Open Source Matters
the trademark holder in the United States and other countries.

LiveInternet